/**********************************************
*** GENERAL
**********************************************/

image{
    animation: glitch 1s linear infinite;
}

:root {
    --position: 0;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body, html {
    width:100%;
    height:100%;
    font-family: 'Share Tech Mono', monospace;
    color: #FFF;
    text-align: center;
}

#container {
    height: 1000vh;
    background: #000;
}

.center {
    text-align: center;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50% , -50%);
	width: 60%;
}
.el-st:hover {
	animation: textShadow 1.6s infinite;
	color: #f00;
}
.el-st {
    color: #000;
    font-size: 30px;
    font-weight:bold;
    letter-spacing: 4px;
  display: block;
  position: center;
  background:#0000;
  background-size: 100% 2px, 3px 100%;
  pointer-events: none;
  animation: flicker 0.15s infinite;
  z-index: 1;
}
	
.el-sp.is-changing {
    animation: changing 0.1s infinite;
}

.el-sp, .el-sp.is-changing:after, .el-sp.is-changing {
	color: #000;
    transition: all 0.1s;
    text-shadow: 0 0 5px #FFFFFF;
    position: relative;
    will-change: transform, opacity;
}
.el-sp:hover, .el-sp.is-changing:hover, .el-sp.is-changing:hover {
	color: #01FEF6;
    transition: all 0.1s;
    text-shadow: 0 0 5px #FFFFFF;
    position: relative;
    will-change: transform, opacity;
}
.el-st:hover {
	color: #f00;
    transition: all 0.1s;
    text-shadow: 0 0 10px #FFFFFF;
    position: relative;
    will-change: transform, opacity;
}

.el-sp:after {
    content:attr(data-txt);
    color:#eee;
    position: absolute;
    top: 0;
    left:0;
    opacity:0;
    will-change: transform, opacity;
}

.el-sp.is-changing:after {
    animation: changingAfter 0.4s infinite alternate;
}

.scroll {
    margin-top: 40px;
    color:#f00;
    display: inline-block;
    padding-bottom: 17.5px; 
	padding-right: 110px;
    position: relative;
}

.scroll:after {
    content:'';
    position: absolute;
    left: calc(100% - 100px);
    top: 0;
    animation: dots 4s infinite;
}
::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: #000;
}

::-webkit-scrollbar
{
	width: 10px;
	background-color: #F5F5F5;
}

::-webkit-scrollbar-thumb
{
	background-color: #000000;
	border: 2px solid GREEN;
}

@keyframes changing {
    0% {opacity:1;}
    50% {opacity:0.5;}
    100% {opacity:1;}
}

@keyframes changingAfter {
    0% {opacity:0.3;transform:translateX(10px) scaleX(2)}
    50% {opacity:0;transform:translateX(0) scaleX(2)}
    100% {opacity:0.3;transform:translateX(-10px) scaleX(2)}
}

@keyframes dots {
    0% {content:''}
    25% {content:''}
    50% {content:''}
    75% {content:''}
    100% {content:''}
}
@keyframes glitch1{
  2%,64%{
    transform: translate(2px,0) skew(0deg);
  }
  4%,60%{
    transform: translate(-2px,0) skew(0deg);
  }
  62%{
    transform: translate(0,0) skew(5deg); 
  }
}
/*----flicker keyframes---*/


@keyframes textShadow {
  0% {
    text-shadow: 0.4389924193300864px 0 1px rgba(0,30,255,0.5), -0.4389924193300864px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  5% {
    text-shadow: 2.7928974010788217px 0 1px rgba(0,30,255,0.5), -2.7928974010788217px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  10% {
    text-shadow: 0.02956275843481219px 0 1px rgba(0,30,255,0.5), -0.02956275843481219px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  15% {
    text-shadow: 0.40218538552878136px 0 1px rgba(0,30,255,0.5), -0.40218538552878136px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  20% {
    text-shadow: 3.4794037899852017px 0 1px rgba(0,30,255,0.5), -3.4794037899852017px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  25% {
    text-shadow: 1.6125630401149584px 0 1px rgba(0,30,255,0.5), -1.6125630401149584px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  30% {
    text-shadow: 0.7015590085143956px 0 1px rgba(0,30,255,0.5), -0.7015590085143956px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  35% {
    text-shadow: 3.896914047650351px 0 1px rgba(0,30,255,0.5), -3.896914047650351px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  40% {
    text-shadow: 3.870905614848819px 0 1px rgba(0,30,255,0.5), -3.870905614848819px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  45% {
    text-shadow: 2.231056963361899px 0 1px rgba(0,30,255,0.5), -2.231056963361899px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  50% {
    text-shadow: 0.08084290417898504px 0 1px rgba(0,30,255,0.5), -0.08084290417898504px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  55% {
    text-shadow: 2.3758461067427543px 0 1px rgba(0,30,255,0.5), -2.3758461067427543px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  60% {
    text-shadow: 2.202193051050636px 0 1px rgba(0,30,255,0.5), -2.202193051050636px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  65% {
    text-shadow: 2.8638780614874975px 0 1px rgba(0,30,255,0.5), -2.8638780614874975px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  70% {
    text-shadow: 0.48874025155497314px 0 1px rgba(0,30,255,0.5), -0.48874025155497314px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  75% {
    text-shadow: 1.8948491305757957px 0 1px rgba(0,30,255,0.5), -1.8948491305757957px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  80% {
    text-shadow: 0.0833037308038857px 0 1px rgba(0,30,255,0.5), -0.0833037308038857px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  85% {
    text-shadow: 0.09769827255241735px 0 1px rgba(0,30,255,0.5), -0.09769827255241735px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  90% {
    text-shadow: 3.443339761481782px 0 1px rgba(0,30,255,0.5), -3.443339761481782px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  95% {
    text-shadow: 2.1841838852799786px 0 1px rgba(0,30,255,0.5), -2.1841838852799786px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
  100% {
    text-shadow: 2.6208764473832513px 0 1px rgba(0,30,255,0.5), -2.6208764473832513px 0 1px rgba(255,0,80,0.3), 0 0 3px;
  }
}
/*----SOCIAL BUTTONS----*/
textarea {
     resize: none;
}
 .text {
     color: white;
     font-size: 20px;
     position: absolute;
     top: 50%;
     left: 50%;
     transform: translate(-50%, -50%);
     -ms-transform: translate(-50%, -50%);
     white-space: nowrap;
}
@charset "UTF-8";
.svg-inline--fa {
     vertical-align: -0.200em;
}
.rounded-social-buttons {
     text-align: center;
}
.rounded-social-buttons .social-button {
     display: inline-block;
     position: relative;
     cursor: pointer;
     width: 3.125rem;
     height: 3.125rem;
     border: 0.125rem solid transparent;
     padding: 0;
     text-decoration: none;
     text-align: center;
     color: #fefefe;
     font-size: 1.5625rem;
     font-weight: normal;
     line-height: 2em;
     border-radius: 1.6875rem;
     transition: all 0.5s ease;
     margin-right: 0.25rem;
     margin-bottom: 0.25rem;
}
.rounded-social-buttons .social-button:hover, .rounded-social-buttons .social-button:focus {
     -webkit-transform: rotate(360deg);
     -ms-transform: rotate(360deg);
     transform: rotate(360deg);
}
img:hover { 
cursor: url('data:image/x-icon;base64,AAACAAEAICAQAAAAAADoAgAAFgAAACgAAAAgAAAAQAAAAAEABAAAAAAAAAIAAAAAAAAAAAAAEAAAAAAAAAAAAAAA////AH2v9QBAX3oAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACIiIiIAAAAAAAAAAAAAAAIiIiIiIAAAAAAAAAAAAAACIiIiIiAAAAAAAAAAAAAAAiAAAAACAAAAAAAAAAAAACICIiIiIgAAAAAAAAAAAAAgIiIiIiIgAAAAAAAAAAAAIiIiIiIiIAAAAAAAAAAAACIiIiACIiAAAAAAAAAAAAAiIiIiIiIgAAAAAAAAAAAAIiIiAAAiIAAAAAAAAAAAACIiIiIiIiAAAAAAAAAAAAIiIiIiIiIgAAAAAAAAAAACIgACIAAgAgAAAAAAAAAAAiIiIiIgIiIAAAAAAAAAAAIiIgACIgACAAAAAAAAAAAiIiAhECAhEAAAAAAAAAAAICIgIBAgIBAAAAAAAAAAACAgACIgACIgAAAAAAAAAAAAAiAAACAAAAAAAAAAAAAAAwIiIiIiIiAAAAAAAAAAAAMCIiAiIiAgAAAAAAAAAAADAiIiAAACIAAAAAAAAAAAAwIiIiIiIiAAAAAAAAAAAAMCIiIgACIgAAAAAAAAAAADAiIiIiIiIAAAAAAAAAAAAwICAgICAgAAAAAAAAAAAAMwMDAwMDAwAAAAAAAAAAADMzMzMzMzMAAAAAAAAAAAAAMzAzAzAzAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAD8A///+AH///AA///wAP//8AB//+AAf//gAD//4AA//+AAP//gAD//4AA//+AAP//AAD//wAAf/8AAH//AAB//gAA//4AAP/+AAD//wAA//8AAP//AAD//wAA//8AAP//AAD//wAA//8AAP//AAD//wAA//2AAP/84kn//H////w=='), auto; 
}
/* ===== Scrollbar CSS ===== */
  /* Firefox */
  * {
    scrollbar-width: thin;
    scrollbar-color: #000000 #000000;
  }

  /* Chrome, Edge, and Safari */
  *::-webkit-scrollbar {
    width: 4px;
  }

  *::-webkit-scrollbar-track {
    background: #000000;
  }

  *::-webkit-scrollbar-thumb {
    background-color: #000000;
    border-radius: 4px;
    border: 3px inset #ffffff;
  }
    canvas {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }
    img {
        z-index: 1;
    }
.counter {
    font-size: 25px;
    margin-top: 20px;
    letter-spacing: 10px;
}
.segment {
    display: inline-block;
    width: 40px;
    height: 60px;
    background-color: #000;
    border-radius: 10px;
    margin: 0 5px;
    box-shadow: inset 0 0 20px #000;
}
